{% extends "search/base.html" %}
{% block content %}

    <!-- <div class="content-section"> -->
        <br>
        <form method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            <fieldset class="form-group">
                <!-- <legend class="border-bottom mb-4"></legend> -->
                {{ form.as_p }}
            </fieldset>
            <div class="form-group">
                <button class="btn btn-outline-info" type="submit">SEARCH</button>
            </div>
        </form>
        {% if results %}
            <form method="POST">
                {% csrf_token %}
                    <button class="btn btn-outline-info" type="submit" formaction="{% url 'download_all' input_string %}">DOWNLOAD ALL</button>
            </form>
        {% endif %}


        {% if input_string %}
        <p>Results for: {{ input_string }}</p>
        {% endif %}

        {% if results %}
            {% for result in results %}
               <article class="media content-section">
                <div class="d-flex justify-content-between">
                    <div class="article-metadata">
                        <h2 class="article-title">{{ result.title }}</h2>
                        <a class="mr-2" href="{{ result.url }}" target="_blank" rel="noopener noreferrer">
                            {{ result.url }}
                        </a>
                        <p class="article-content">{{ result.summary }}</p>
                    </div>
                    <form method="POST">
                        {% csrf_token %}
                        <div class="d-inline justify-content-md-end">
                            <button class="btn btn-outline-info" type="submit"  formaction="{% url 'download' result.id %}" >DOWNLOAD</button>
                        </div>
                    </form>
                </div>
            </article>
            {% endfor %}
        {% endif %}
        {% if answer %}

            <article class="media content-section">
              <div class="media-body">
                <div class="article-metadata">
                  <h4 class="article-title">answer: </h4>
                  <p class="article-content">{{ answer.answer }}</p>
                  <br>
                  <h4 class="article-title">context: </h4>
                  <p class="article-content">{{ answer.context }}</p>
                </div>
              </div>
            </article>

        {% endif %}

    <!-- </div> -->
{% endblock content %}


